Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1
Enum CDTUCOSTEMITYPEvalues

    java.lang.Object
      java.lang.Enum<CDTUCOSTEMITYPEvalues>
          be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1.CDTUCOSTEMITYPEvalues

All Implemented Interfaces:
  Serializable, Comparable<CDTUCOSTEMITYPEvalues>

    public enum CDTUCOSTEMITYPEvalues

extends Enum<CDTUCOSTEMITYPEvalues>

Java class for CD-TUCO-STEMITYPEvalues.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="CD-TUCO-STEMITYPEvalues">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="stemipci"/>
         <enumeration value="stemirescue"/>
         <enumeration value="stemilate"/>
         <enumeration value="nonstemiurgent"/>
         <enumeration value="nonstemielective"/>
         <enumeration value="nonstemilate"/>
         <enumeration value="emergentpci"/>
         <enumeration value="electivepci"/>
         <enumeration value="outofhospitalarrest"/>
         <enumeration value="stagedpci"/>
         <enumeration value="complicationpriorpci"/>
         <enumeration value="recurrendischaemia"/>
       </restriction>
     </simpleType>

Enum Constant Summary
`COMPLICATIONPRIORPCI`
`ELECTIVEPCI`
`EMERGENTPCI`
`NONSTEMIELECTIVE`
`NONSTEMILATE`
`NONSTEMIURGENT`
`OUTOFHOSPITALARREST`
`RECURRENDISCHAEMIA`
`STAGEDPCI`
`STEMILATE`
`STEMIPCI`
`STEMIRESCUE`

Method Summary
`static CDTUCOSTEMITYPEvalues` | `fromValue(String v)`
`String` | `value()`
`static CDTUCOSTEMITYPEvalues` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CDTUCOSTEMITYPEvalues[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### STEMIPCI

    public static final CDTUCOSTEMITYPEvalues STEMIPCI

### STEMIRESCUE

    public static final CDTUCOSTEMITYPEvalues STEMIRESCUE

### STEMILATE

    public static final CDTUCOSTEMITYPEvalues STEMILATE

### NONSTEMIURGENT

    public static final CDTUCOSTEMITYPEvalues NONSTEMIURGENT

### NONSTEMIELECTIVE

    public static final CDTUCOSTEMITYPEvalues NONSTEMIELECTIVE

### NONSTEMILATE

    public static final CDTUCOSTEMITYPEvalues NONSTEMILATE

### EMERGENTPCI

    public static final CDTUCOSTEMITYPEvalues EMERGENTPCI

### ELECTIVEPCI

    public static final CDTUCOSTEMITYPEvalues ELECTIVEPCI

### OUTOFHOSPITALARREST

    public static final CDTUCOSTEMITYPEvalues OUTOFHOSPITALARREST

### STAGEDPCI

    public static final CDTUCOSTEMITYPEvalues STAGEDPCI

### COMPLICATIONPRIORPCI

    public static final CDTUCOSTEMITYPEvalues COMPLICATIONPRIORPCI

### RECURRENDISCHAEMIA

    public static final CDTUCOSTEMITYPEvalues RECURRENDISCHAEMIA

Method Detail

### values

    public static CDTUCOSTEMITYPEvalues[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (CDTUCOSTEMITYPEvalues c : CDTUCOSTEMITYPEvalues.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static CDTUCOSTEMITYPEvalues valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### value

    public String value()

### fromValue

    public static CDTUCOSTEMITYPEvalues fromValue(String v)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.